<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 5 $
 * $Author: PragmaMx $
 * $Date: 2021-02-12 22:27:49 +0100 (Fr, 12. Feb 2021) $
 */

defined('mxMainFileLoaded') or die('access denied');
/* der passende Modulname */
$module_name = basename(dirname(dirname(__FILE__)));

if (!mxModuleAllowed($module_name) OR $module_name != MX_MODULE) {
    /* Block darf nicht gecached werden und weg... */
    $mxblockcache = false;
    return;
}
global $doc, $doc_cfg;
extract($block['settings'], EXTR_OVERWRITE);

/* --- Book-Klasse laden ------- */
$bookmodule = $module_name;
$doc_cfg = array();
$doc = load_class('Book', $bookmodule);
$doc->module_name = $bookmodule;
$doc->modulename = $bookmodule;

$doc_cfg = $doc->getConfig();
$doc->logging = $doc_cfg['logging'];
$doc->insertfirst = $doc_cfg['insertfirst'];
$cat=$doc;
/* ----------------------------- */


/* --------- Konfiguration fuer den Block ----------------------------------- */
// Anzahl Artikel


/* --------- Ende der Konfiguration ----------------------------------------- */

$tid=pmxBase::get($module_name."-tid");
$id=pmxBase::get($module_name."-id");

$content = "";

$newmark=true;
$level=99 ;
$collapse=true;

if ($tid==0) {
    // add by Andi: Fehlermeldung vermeiden, falls keine Datensätze vorhanden
    $mxblockcache = false;
    return;
}


    
        pmxHeader::add_jquery("jquery.treeview.js");
        pmxHeader::add_script_code("$(document).ready(function(){
				$('#navigation_block_" . $module_name . "').treeview({
					persist: \"location\",
					collapsed: true,
					unique: true
				});
			});");
        $indexlist=$cat->content_get_html($tid, $id,$newmark, $level, $collapse);
	if ($indexlist) {
		$ullist = "<div style=\"max-height:600px;overflow-y:scroll;\"><div id=\"navigation_block_" . $module_name . "\" class=\"treeview-famfamfam\">" . $indexlist . "</div></div>";
		$content = $ullist;   
		$blockfiletitle=_DOCS_INDEX;
	}

?>